Name:		keychain
Version:	2.8.3
Release:	%mkrel 1
Summary:	Keychain manages ssh-agent to minimise passphrase entry for ssh
License:	GPLv2
Group:		Networking/Remote access
URL:		http://www.funtoo.org/wiki/Keychain
Source0:	https://github.com/funtoo/%{name}/archive/%{version}.tar.gz
Source1:	%{name}.profile.sh
Source2:	%{name}.profile.csh
Recommends:	openssh-askpass
Requires:	openssh-clients
Requires:	gnupg2
BuildArch:	noarch

%description
Keychain is a manager for OpenSSH, ssh.com, Sun SSH and GnuPG agents.
It acts as a front-end to the agents, allowing you to easily have one
long-running agent process per system, rather than per login session.
This dramatically reduces the number of times you need to enter your
passphrase from once per new login session to once every time your
local machine is rebooted.

Run keychain once manually per user, after which keychain will run (quietly)
every time you log in (from a profile script).

Hint: If you get tired of keychain, delete ~/.keychain .

%prep
%setup -q

%build
%make

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_sysconfdir}/profile.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/99%{name}.sh
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/99%{name}.csh
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -m 644 keychain.1 %{buildroot}%{_mandir}/man1/

%files
%doc README.md ChangeLog COPYING.txt
%{_bindir}/*
%{_sysconfdir}/profile.d/*
%{_mandir}/man1/%{name}*


%changelog
* Thu Aug 11 2016 luigiwalser <luigiwalser> 2.8.3-1.mga6
+ Revision: 1045508
- 2.8.3

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.8.2-1.mga6
+ Revision: 917549
- 2.8.2

* Fri Jul 10 2015 blino <blino> 2.8.1-2.mga6
+ Revision: 853166
- stop packaging keychain.txt and pod, they are redudant with man page
  and inline help (reported by Charles A Edwards)

* Tue Jul 07 2015 blino <blino> 2.8.1-1.mga6
+ Revision: 852652
- 2.8.1 (fixes warning with OpenSSH 6.8)
- use git tarball to be able to build keychain.txt
- doc is now README.md instead of README.rst

* Wed Oct 15 2014 umeabot <umeabot> 2.7.1-8.mga5
+ Revision: 750289
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7.1-7.mga5
+ Revision: 681045
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 2.7.1-6.mga4
+ Revision: 531791
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 luigiwalser <luigiwalser> 2.7.1-5.mga4
+ Revision: 465357
- update URL (mga#10883)

* Sat Jan 12 2013 umeabot <umeabot> 2.7.1-4.mga3
+ Revision: 356134
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 ahmad <ahmad> 2.7.1-3.mga1
+ Revision: 41439
- imported package keychain

